package com.keao.edu.cms.dal.entity;

import io.swagger.annotations.ApiModelProperty;

public class HelpCenterContent {

	@ApiModelProperty(value = "编号", required = false)
	private Integer id;

	@ApiModelProperty(value = "标题", required = false)
	private String title;

	@ApiModelProperty(value = "内容", required = false)
	private String content = "";

	@ApiModelProperty(value = "分类ID", required = false)
	private Integer catalogId;

	/** 创建时间 */
	private java.util.Date createOn;

	/** 修改时间 */
	private java.util.Date modifyOn;

	@ApiModelProperty(value = "状态 1显示 0隐藏", required = false)
	private Integer status;

	@ApiModelProperty(value = "排序", required = false)
	private Integer order;

	private HelpCenterCatalog catalog;

	public HelpCenterCatalog getCatalog() {
		return catalog;
	}

	public void setCatalog(HelpCenterCatalog catalog) {
		this.catalog = catalog;
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getId() {
		return this.id;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getTitle() {
		return this.title;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getContent() {
		return this.content;
	}

	public void setCatalogId(Integer catalogId) {
		this.catalogId = catalogId;
	}

	public Integer getCatalogId() {
		return this.catalogId;
	}

	public void setCreateOn(java.util.Date createOn) {
		this.createOn = createOn;
	}

	public java.util.Date getCreateOn() {
		return this.createOn;
	}

	public void setModifyOn(java.util.Date modifyOn) {
		this.modifyOn = modifyOn;
	}

	public java.util.Date getModifyOn() {
		return this.modifyOn;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getStatus() {
		return this.status;
	}

	public String toString() {
		StringBuilder buf = new StringBuilder();
		buf.append("HelpContent [");
		buf.append("id=").append(id).append(",");
		buf.append("title=").append(title).append(",");
		buf.append("content=").append(content).append(",");
		buf.append("order=").append(order).append(",");
		buf.append("catalogId=").append(catalogId).append(",");
		buf.append("createOn=").append(createOn).append(",");
		buf.append("modifyOn=").append(modifyOn).append(",");
		buf.append("status=").append(status).append(",");
		buf.setLength(buf.length() - 1);
		buf.append("]");
		return buf.toString();
	}

}
